#
# spec file for package unzip (Version 5.42)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         unzip
Copyright:    Distributable, see COPYING
Group:        Utilities/Archiving
Provides:     unzip crunzip
Obsoletes:    crunzip
Autoreqprov:  on
Version:      5.42
Release:      202
Summary:      Unpacks .zip files
Source:       ftp://ftp.info-zip.org/pub/infozip/src/unzip542.tar.bz2
Url:          http://www.freesoftware.com/pub/infozip/
Patch:        unzip-%{version}.dif
Patch1:       unzip-%{version}-specialchar.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
UnZip is an extraction utility for archives compressed in .zip format
(known as "zip files").  Although highly compatible both with PKWARE's
PKZIP(tm) and PKUNZIP utilities for MS-DOS and with Info-ZIP's own Zip
program, our primary objectives have been portability and non-MSDOS
functionality. This version can also extract encrypted archives.

Authors:
--------
    Info-ZIP <zip-bugs@lists.wku.edu>

SuSE series: ap

%prep
%setup
%patch
%patch1

%build
%ifarch i386 i486 i586 i686
TARGET=linux CF="$RPM_OPT_FLAGS" CRC32=crc_gcc
%else
TARGET=linux_noasm CF="$RPM_OPT_FLAGS" CRC32=crc_gcc
%endif
make $TARGET -f unix/Makefile

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
ln -sf unzip zipinfo
for i in unzip funzip unzipsfx zipinfo;	\
do	install $i $RPM_BUILD_ROOT%{_bindir};done;
install unix/zipgrep $RPM_BUILD_ROOT%{_bindir}
for i in man/*.1;	\
do \
  install -m 644 $i $RPM_BUILD_ROOT%{_mandir}/man1/
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%doc BUGS COPYING.OLD Contents History.* INSTALL LICENSE README ToDo WHERE
%doc *.txt proginfo
%{_bindir}/unzip
%{_bindir}/funzip
%{_bindir}/unzipsfx
%{_bindir}/zipinfo
%{_bindir}/zipgrep

%changelog -n unzip
* Wed Sep 24 2003 - rommel@suse.de
- replaced fix for ../ exploit with a fix both for
  the ../ exploit and the '/' exploit (Bugzilla #29311)
* Fri Jul 04 2003 - rommel@suse.de
- added fix for ../ exploit (Bugzilla #27667)
* Mon Apr 09 2001 - grimmer@suse.de
- Update to 5.42
- file list fixes (new license file, documentation renames)
* Wed Dec 13 2000 - grimmer@suse.de
- Update to 5.41 (now includes decryption support)
- now Provides and Obsoletes crunzip
- bzipped sources
- use BuildRoot
* Tue Feb 29 2000 - schwab@suse.de
- Add support for ia64.
- /usr/man -> /usr/share/man
* Wed Dec 22 1999 - grimmer@suse.de
- Added "Conflicts: crzip" to spec file
- cleaned up Provides: tag
* Fri Dec 17 1999 - grimmer@suse.de
- Spec file cleanups
* Sat Nov 27 1999 - kukuk@suse.de
- Use linux_noasm Makefile target on SPARC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - uli@suse.de
- uses target linux_noasm for PPC
* Wed Feb 24 1999 - grimmer@suse.de
- new version (5.40)
- specfile modifications
- added french description
* Mon Jan 11 1999 - ro@suse.de
- use target linux_noasm for alpha
* Fri Jan 23 1998 - rj@suse.de
- version 5.32
* Thu Feb 06 1997 - rj@suse.de
- version 5.12
- new test/changes/plist files
